diff -Naur newlib-1.20.0.orig/newlib/libc/sys/arm/crt0.S newlib-1.20.0/newlib/libc/sys/arm/crt0.S
--- newlib-1.20.0.orig/newlib/libc/sys/arm/crt0.S	2011-12-13 23:40:45.000000000 +0100
+++ newlib-1.20.0/newlib/libc/sys/arm/crt0.S	2011-12-20 18:04:03.953129650 +0100
@@ -1,5 +1,4 @@
 #include "newlib.h"
-#include "arm.h"
 #include "swi.h"
 
 /* ANSI concatenation macros.  */
@@ -17,37 +16,13 @@
 #define _fini	__libc_fini_array
 #endif
 
-#if defined(__ARM_EABI__) && defined(__thumb__) && !defined(__thumb2__)
-/* For Thumb1 we need to force the architecture to be sure that we get the
-   correct attributes on the object file; otherwise the assembler will get
-   confused and mark the object as being v6T2.  */
-#if defined(__ARM_ARCH_4T__)
-	.arch armv4t
-#elif defined(__ARM_ARCH_5T__) || defined(__ARM_ARCH_5TE__)
-	/* Nothing in this object requires higher than v5.  */
-	.arch armv5t
-#elif defined(__ARM_ARCH_6__) || defined(__ARM_ARCH_6J__) \
-	|| defined(__ARM_ARCH_6K__) || defined(__ARM_ARCH_6Z__) \
-	|| defined(__ARM_ARCH_6ZK__)
-	/* Nothing in this object requires higher than v6.  */
-	.arch armv6
-#elif defined(__ARM_ARCH_6M__)
-#ifdef ARM_RDP_MONITOR
-	/* Object file uses SVC, so mark as v6s-m.  */
-	.arch armv6s-m
-#else
-	.arch armv6-m
-#endif
-#endif
-#endif
-
 /* .text is used instead of .section .text so it works with arm-aout too.  */
 	.text
+#if defined(__thumb2__)
 	.syntax unified
-#ifdef THUMB_V7_V6M
 	.thumb
 .macro FUNC_START name
-	.global \name
+	.global	\name
 	.thumb_func
 \name:
 .endm	
@@ -58,16 +33,6 @@
 \name:
 .endm	
 #endif
-
-.macro indirect_call reg
-#ifdef HAVE_CALL_INDIRECT
-	blx \reg
-#else
-	mov	lr, pc
-	mov	pc, \reg
-#endif
-.endm
-
 	.align 	0
 
 	FUNC_START	_mainCRTStartup
@@ -78,141 +43,34 @@
 	.fnstart
 #endif
 
-/* Start by setting up a stack.  */
+/* Start by setting up a stack */
 #ifdef ARM_RDP_MONITOR
-	/*  Issue Demon SWI to read stack info.  */
-	swi	SWI_GetEnv	/*  Returns command line in r0.  */
-	mov	sp,r1		/*  and the highest memory address in r1.  */
-
-	/*  Stack limit is at end of data.  */
-	/*  Allow slop for stack overflow handling and small frames.  */
-#ifdef __ARM_ARCH_6M__
-	ldr	r0, .LC2
-	adds	r0, #128
-	adds	r0, #128
-	mov	sl, r0
-#else
-	ldr	sl, .LC2
-	add	sl, sl, #256
-#endif
+	/*  Issue Demon SWI to read stack info */
+	swi	SWI_GetEnv	/*  Returns command line in r0 */
+	mov	sp,r1		/*  and the highest memory address in r1 */
+	ldr	sl, .LC2	/*  stack limit is at end of data */
+	add	sl, sl, #256	/*  allow slop for stack overflow handling */
+				/*  and small frames */
 #else
 #ifdef ARM_RDI_MONITOR
-	/*  Issue Angel SWI to read stack info.  */
-	movs	r0, #AngelSWI_Reason_HeapInfo
-	adr	r1, .LC0	/*  Point at ptr to 4 words to receive data.  */
-#ifdef THUMB_V7M_V6M
+	/*  Issue Angel SWI to read stack info */
+	mov	r0, #AngelSWI_Reason_HeapInfo
+	adr	r1, .LC0	/*  point at ptr to 4 words to receive data */
+#if defined(__thumb2__)
 	bkpt	AngelSWI
-#elif defined(__thumb2__)
-	/*  We are in thumb mode for startup on armv7 architectures.  */
-	AngelSWIAsm	AngelSWI
 #else
-	/*  We are always in ARM mode for startup on pre armv7 archs.  */
+	/*  We are always in ARM mode for startup */
 	AngelSWIAsm	AngelSWI_ARM
 #endif
-	ldr	r0, .LC0	/*  Point at values read.  */
-
-	ldr     r1, [r0, #0]
-	cmp     r1, #0
-	bne     .LC32
-	/* If the heap base value [r0, #0] is 0 then the heap base is actually 
-	   at the end of program data (i.e. __end__). See:
-           http://infocenter.arm.com/help/topic/com.arm.doc.dui0471-/Bacbefaa.html
-	   for more information.  */
-	ldr     r1, .LC31
-	str     r1, [r0, #0]
-.LC32:	
-	ldr	r1, [r0, #8]
-	ldr	r2, [r0, #12]
-	/*  We skip setting sp/sl if 0 returned from semihosting. 
-	    - According to semihosting docs, if 0 returned from semihosting,
-	      the system was unable to calculate the real value, so it's ok
-	      to skip setting sp/sl to 0 here.
-	    - Considering M-profile processors, We might want to initialize
-	      sp by the first entry of vector table and return 0 to SYS_HEAPINFO
-	      semihosting call, which will be skipped here.  */
-	cmp	r1, #0
-	beq	.LC26
-	mov	sp, r1
-.LC26:
-	cmp	r2, #0
-	beq	.LC27
-
-	/*  Allow slop for stack overflow handling and small frames.  */
-#ifdef __ARM_ARCH_6M__
-	adds	r2, #128
-	adds	r2, #128
-	mov	sl, r2
-#else
-	add	sl, r2, #256
-#endif
-
-.LC27:
-#else
-	/*  Set up the stack pointer to a fixed value.  */
-	/*  Changes by toralf:
-	    - Allow linker script to provide stack via __stack symbol - see
-	      defintion of .Lstack
-	    - Provide "hooks" that may be used by the application to add
-	      custom init code - see .Lhwinit and .Lswinit	
-	    - Go through all execution modes and set up stack for each of them.
-	      Loosely based on init.s from ARM/Motorola example code.
-              Note: Mode switch via CPSR is not allowed once in non-privileged
-		    mode, so we take care not to enter "User" to set up its sp,
-		    and also skip most operations if already in that mode.  */
-
-	ldr	r3, .Lstack
-	cmp	r3, #0
-#ifdef __thumb2__
-	it	eq
-#endif	
-#ifdef __ARM_ARCH_6M__
-	bne	.LC28
-	ldr	r3, .LC0
-.LC28:
+	ldr	r0, .LC0	/*  point at values read */
+	ldr	sp, [r0, #8]
+	ldr	sl, [r0, #12]
+	add	sl, sl, #256	/*  allow slop for stack overflow handling */
+				/*  and small frames */
 #else
-	ldreq	r3, .LC0
-#endif
-	/* Note: This 'mov' is essential when starting in User, and ensures we
-		 always get *some* sp value for the initial mode, even if we 
-		 have somehow missed it below (in which case it gets the same
-		 value as FIQ - not ideal, but better than nothing).  */
-	mov	sp, r3
-#ifdef THUMB_V7_V6M
-	/* XXX Fill in stack assignments for interrupt modes.  */
-#else
-	mrs	r2, CPSR
-	tst	r2, #0x0F	/* Test mode bits - in User of all are 0.  */
-	beq	.LC23		/* "eq" means r2 AND #0x0F is 0.  */
-	msr     CPSR_c, #0xD1	/* FIRQ mode, interrupts disabled.  */
+	/*  Set up the stack pointer to a fixed value */
+	ldr	r3, .LC0
 	mov 	sp, r3
-	sub	sl, sp, #0x1000	/* This mode also has its own sl (see below).  */
-	
-	mov	r3, sl	
-	msr     CPSR_c, #0xD7	/* Abort mode, interrupts disabled.  */
-	mov	sp, r3
-	sub	r3, r3, #0x1000
-
-	msr     CPSR_c, #0xDB	/* Undefined mode, interrupts disabled.  */
-	mov	sp, r3
-	sub	r3, r3, #0x1000
-
-	msr     CPSR_c, #0xD2	/* IRQ mode, interrupts disabled.  */
-	mov	sp, r3
-	sub	r3, r3, #0x2000
-		
-	msr     CPSR_c, #0xD3	/* Supervisory mode, interrupts disabled.  */
-
-	mov	sp, r3
-	sub	r3, r3, #0x8000	/* Min size 32k.  */
-	bic	r3, r3, #0x00FF	/* Align with current 64k block.  */
-	bic	r3, r3, #0xFF00
-
-	str	r3, [r3, #-4]	/* Move value into user mode sp without */ 
-	ldmdb	r3, {sp}^       /* changing modes, via '^' form of ldm.  */ 
-	orr	r2, r2, #0xC0	/* Back to original mode, presumably SVC, */
-	msr	CPSR_c, r2	/* with FIQ/IRQ disable bits forced to 1.  */
-#endif	
-.LC23:
 	/* Setup a default stack-limit in-case the code has been
 	   compiled with "-mapcs-stack-check".  Hard-wiring this value
 	   is not ideal, since there is currently no support for
@@ -220,30 +78,23 @@
 	   this default 64k is enough for the program being executed.
 	   However, it ensures that this simple crt0 world will not
 	   immediately cause an overflow event:  */
-#ifdef __ARM_ARCH_6M__
-	movs	r2, #64
-	lsls	r2, r2, #10
-	subs	r2, r3, r2
-	mov	sl, r2
-#else
-	sub	sl, r3, #64 << 10	/* Still assumes 256bytes below sl.  */
-#endif
+	sub	sl, sp, #64 << 10	/* Still assumes 256bytes below sl */
 #endif
 #endif
 	/* Zero the memory in the .bss section.  */
-	movs 	a2, #0			/* Second arg: fill value.  */
-	mov	fp, a2			/* Null frame pointer.  */
-	mov	r7, a2			/* Null frame pointer for Thumb.  */
+	mov 	a2, #0			/* Second arg: fill value */
+	mov	fp, a2			/* Null frame pointer */
+	mov	r7, a2			/* Null frame pointer for Thumb */
 	
-	ldr	a1, .LC1		/* First arg: start of memory block.  */
+	ldr	a1, .LC1		/* First arg: start of memory block */
 	ldr	a3, .LC2	
-	subs	a3, a3, a1		/* Third arg: length of block.  */
+	sub	a3, a3, a1		/* Third arg: length of block */
 	
 
-#if defined(__thumb__) && !defined(THUMB_V7_V6M)
-	/* Enter Thumb mode...  */
-	add	a4, pc, #1	/* Get the address of the Thumb block.  */
-	bx	a4		/* Go there and start Thumb decoding.  */
+#if defined(__thumb__) && !defined(__thumb2__)
+	/* Enter Thumb mode.... */
+	add	a4, pc, #1	/* Get the address of the Thumb block */
+	bx	a4		/* Go there and start Thumb decoding  */
 
 	.code 16
 	.global __change_mode
@@ -253,41 +104,23 @@
 	
 	bl	FUNCTION (memset)
 #if !defined (ARM_RDP_MONITOR) && !defined (ARM_RDI_MONITOR)
-/* Changes by toralf: Taken from libgloss/m68k/crt0.S
-   initialize target specific stuff. Only execute these
-   functions it they exist.  */
-	ldr	r3, .Lhwinit
-	cmp	r3, #0
-	beq	.LC24
-	indirect_call r3
-.LC24:	
-	ldr	r3, .Lswinit
-	cmp	r3, #0
-	beq	.LC25
-	indirect_call r3
-
-.LC25:	
-	movs	r0, #0		/* No arguments.  */
-	movs	r1, #0		/* No argv either.  */
+	mov	r0, #0		/*  no arguments  */
+	mov	r1, #0		/*  no argv either */
 #else
-	/* Need to set up standard file handles.  */
+	/* Need to set up standard file handles */
 	bl	FUNCTION (initialise_monitor_handles)
 	
 #ifdef ARM_RDP_MONITOR
-	swi	SWI_GetEnv	/* Sets r0 to point to the command line.  */
-	movs	r1, r0
-#else
-	movs	r0, #AngelSWI_Reason_GetCmdLine
-	adr	r1, .LC30	/* Space for command line.  */
-#ifdef THUMB_V7M_V6M
-	bkpt	AngelSWI
+	swi	SWI_GetEnv	/*  sets r0 to point to the command line */
+	mov	r1, r0
 #else
- 	AngelSWIAsm	AngelSWI
-#endif
+	mov	r0, #AngelSWI_Reason_GetCmdLine
+	adr	r1, .LC30	/*  Space for command line */
+	AngelSWIAsm	AngelSWI
 	ldr	r1, .LC30
 #endif
-	/*  Parse string at r1.  */
-	movs	r0, #0		/* Count of arguments so far.  */
+	/*  Parse string at r1 */
+	mov	r0, #0		/*  count of arguments so far */
 	/* Push a NULL argument onto the end of the list.  */
 #ifdef __thumb__
 	push	{r0}
@@ -295,10 +128,10 @@
 	stmfd	sp!, {r0}
 #endif
 .LC10:
-/*  Skip leading blanks.  */
+/*  Skip leading blanks */
 #ifdef __thumb__
 	ldrb	r3, [r1]
-	adds	r1, #1
+	add	r1, #1
 #else
 	ldrb	r3, [r1], #1
 #endif
@@ -307,78 +140,78 @@
 	cmp	r3, #' '
 	beq	.LC10
 
-/* See whether we are scanning a string.  */
-	cmp	r3, #'\"'
+/*  See whether we are scanning a string */
+	cmp	r3, #'"'
 #ifdef __thumb__
 	beq	.LC20
 	cmp	r3, #'\''
 	bne	.LC21
 .LC20:
-	movs	r2, r3
+	mov	r2, r3
 	b	.LC22
 
 .LC21:
-	movs	r2, #' '	/* Terminator type.  */
-	subs	r1, r1, #1	/* Adjust back to point at start char.  */
+	mov	r2, #' '	/*  terminator type */
+	sub	r1, r1, #1	/*  adjust back to point at start char */
 .LC22:
 #else
 	cmpne	r3, #'\''
 	moveq	r2, r3
-	movne	r2, #' '	/* Terminator type.  */
-	subne	r1, r1, #1	/* Adjust back to point at start char.  */
+	movne	r2, #' '	/*  terminator type */
+	subne	r1, r1, #1	/*  adjust back to point at start char */
 #endif
 
-/*  Stack a pointer to the current argument.  */
+/*  Stack a pointer to the current argument */
 #ifdef __thumb__
 	push	{r1}
 #else
 	stmfd	sp!, {r1}
 #endif
-	adds	r0, r0, #1
+	add	r0, r0, #1
 .LC11:
 #ifdef __thumb__
 	ldrb	r3, [r1]
-	adds	r1, #1
+	add	r1, #1
 #else
 	ldrb	r3, [r1], #1
 #endif
 	cmp	r3, #0
 	beq	.LC12
-	cmp	r2, r3		/* Reached terminator ?  */
+	cmp	r2, r3		/*  reached terminator? */
 	bne	.LC11
-	movs	r2, #0
-	subs	r3, r1, #1
-	strb	r2, [r3]	/* Terminate the arg string.  */
+	mov	r2, #0
+	sub	r3, r1, #1
+	strb	r2, [r3]	/*  terminate the arg string */
 	b	.LC10
 
 .LC12:
-	mov	r1, sp		/* Point at stacked arg pointers.  */
-	/* We've now got the stacked args in order, reverse them.  */
+	mov	r1, sp		/*  point at stacked arg pointers */
+	/* We've now got the stacked args in order reverse the */
 #ifdef __thumb__
-	movs	r2, r0
-	lsls	r2, #2
+	mov	r2, r0
+	lsl	r2, #2
 	add	r2, sp
 	mov	r3, sp
 .LC15:	cmp	r2, r3
 	bls	.LC14
-	subs	r2, #4
+	sub	r2, #4
 	ldr	r4, [r2]
 	ldr	r5, [r3]
 	str	r5, [r2]
 	str	r4, [r3]
-	adds	r3, #4
+	add	r3, #4
 	b	.LC15
 .LC14:	
 	/* Ensure doubleword stack alignment.  */
 	mov	r4, sp
-	movs	r5, #7
-	bics	r4, r5
+	mov	r5, #7
+	bic	r4, r5
 	mov	sp, r4
 #else
-	add	r2, sp, r0, LSL #2	/* End of args.  */
-	mov	r3, sp			/* Start of args.  */
+	add	r2, sp, r0, LSL #2	/* End of args */
+	mov	r3, sp			/* Start of args */
 .LC13:	cmp	r2, r3
-	ldrhi	r4,[r2, #-4]		/* Reverse ends of list.  */
+	ldrhi	r4,[r2, #-4]		/* Reverse ends of list */
 	ldrhi	r5, [r3]
 	strhi	r5, [r2, #-4]!
 	strhi	r4, [r3], #4
@@ -393,20 +226,21 @@
 	   to create constructors and destructors, and for these
 	   targets we need to call the _init function and arrange
 	   for _fini to be called at program exit.  */
-	movs	r4, r0
-	movs	r5, r1
+	mov	r4, r0
+	mov	r5, r1
 	ldr	r0, .Lfini
 	bl	FUNCTION (atexit)
 	bl	FUNCTION (_init)
-	movs	r0, r4
-	movs	r1, r5
+	mov	r0, r4
+	mov	r1, r5
 #endif	
 	bl	FUNCTION (main)
 
 	bl	FUNCTION (exit)		/* Should not return.  */
 
-#if defined(__thumb__) && !defined(THUMB_V7_V6M)
+#if defined(__thumb__) && !defined(__thumb2__)
 	/* Come out of Thumb mode.  This code should be redundant.  */
+
 	mov	a4, pc
 	bx	a4
 
@@ -421,42 +255,20 @@
 #endif
 	
 	/* For Thumb, constants must be after the code since only 
-	   positive offsets are supported for PC relative addresses.  */	
+	   positive offsets are supported for PC relative addresses.  */
+	
 	.align 0
 .LC0:
 #ifdef ARM_RDI_MONITOR
 	.word	HeapBase
 #else
 #ifndef ARM_RDP_MONITOR
-	/* Changes by toralf: Provide alternative "stack" variable whose value
-	   may be defined externally; .Lstack will be used instead of .LC0 if
-	   it points to a non-0 value. Also set up references to "hooks" that
-           may be used by the application to provide additional init code.  */	
 #ifdef __pe__
 	.word	0x800000
 #else
-	.word	0x80000			/* Top of RAM on the PIE board.  */
+/*	.word	0x80000	*/		/* Top of RAM on the PIE board.  */
 #endif
-
-.Lstack:	
-	.word	__stack
-.Lhwinit:	
-	.word	FUNCTION (hardware_init_hook)
-.Lswinit:
-	.word	FUNCTION (software_init_hook)
-
-	/* Set up defaults for the above variables in the form of weak symbols
-	   - so that application will link correctly, and get value 0 in
-	   runtime (meaning "ignore setting") for the variables, when the user
-	   does not provide the symbols. (The linker uses a weak symbol if,
-	   and only if, a normal version of the same symbol isn't provided
-	   e.g. by a linker script or another object file).  */	
-
-	.weak __stack
-	.weak FUNCTION (hardware_init_hook) 
-	.weak FUNCTION (software_init_hook)
 #endif
-	
 #endif
 #if defined(__ELF__) && !defined(__USING_SJLJ_EXCEPTIONS__)
 	/* Protect against unhandled exceptions.  */
@@ -475,8 +287,6 @@
 .LC30:
 	.word	CommandLine
 	.word	255
-.LC31:
-	.word	__end__
 
 /*  Workspace for Angel calls.  */
 	.data
diff -Naur newlib-1.20.0.orig/newlib/libc/sys/rtems/machine/_types.h newlib-1.20.0/newlib/libc/sys/rtems/machine/_types.h
--- newlib-1.20.0.orig/newlib/libc/sys/rtems/machine/_types.h	2010-11-16 18:29:39.000000000 +0100
+++ newlib-1.20.0/newlib/libc/sys/rtems/machine/_types.h	2011-12-20 18:04:03.953129650 +0100
@@ -13,7 +13,7 @@
  * could be applied here.
  */
 
-#if defined(__i386__) || defined(__m32r__) || defined(__h8300__) || defined(__arm__) || defined(__bfin__) || defined(__m68k__)
+#if defined(__i386__) || defined(__m32r__) || defined(__h8300__) || (defined(__arm__) && !defined(__ARM_EABI__)) || defined(__bfin__) || defined(__m68k__)
 #if defined(__H8300__)
 typedef signed int _ssize_t;
 #else
@@ -23,7 +23,7 @@
 #elif defined(__sparc__) && defined(__LP64__)
 typedef long signed int _ssize_t;
 #define __ssize_t_defined 1
-#elif defined(__AVR__) || defined(__lm32__) || defined(__m32c__) || defined(__mips__) || defined(__moxie__) || defined(__PPC__) || defined(__sparc__) || defined(__sh__)
+#elif defined(__AVR__) || defined(__lm32__) || defined(__m32c__) || defined(__mips__) || defined(__moxie__) || defined(__PPC__) || defined(__sparc__) || defined(__sh__) || defined(__ARM_EABI__)
 typedef signed int _ssize_t;
 #define __ssize_t_defined 1
 #else
diff -Naur newlib-1.20.0.orig/newlib/libm/common/modfl.c newlib-1.20.0/newlib/libm/common/modfl.c
--- newlib-1.20.0.orig/newlib/libm/common/modfl.c	2009-04-18 00:15:43.000000000 +0200
+++ newlib-1.20.0/newlib/libm/common/modfl.c	2011-12-20 18:04:03.954129666 +0100
@@ -36,7 +36,7 @@
 long double
 modfl (long double x, long double *iptr)
 {
-  return modf(x, iptr);
+  return modf(x, (double*) iptr);
 }
 #endif
 
diff -Naur newlib-1.20.0.orig/newlib/libm/common/s_round.c newlib-1.20.0/newlib/libm/common/s_round.c
--- newlib-1.20.0.orig/newlib/libm/common/s_round.c	2009-03-25 20:13:01.000000000 +0100
+++ newlib-1.20.0/newlib/libm/common/s_round.c	2011-12-20 18:04:03.954129666 +0100
@@ -68,7 +68,7 @@
           msw &= 0x80000000;
           if (exponent_less_1023 == -1)
             /* Result is +1.0 or -1.0. */
-            msw |= (1023 << 20);
+            msw |= ((__int32_t)1023 << 20);
           lsw = 0;
         }
       else
diff -Naur newlib-1.20.0.orig/newlib/libm/math/e_scalb.c newlib-1.20.0/newlib/libm/math/e_scalb.c
--- newlib-1.20.0.orig/newlib/libm/math/e_scalb.c	2000-02-17 20:39:51.000000000 +0100
+++ newlib-1.20.0/newlib/libm/math/e_scalb.c	2011-12-20 18:04:03.954129666 +0100
@@ -17,6 +17,7 @@
  * should use scalbn() instead.
  */
 
+#include <limits.h>
 #include "fdlibm.h"
 
 #ifndef _DOUBLE_IS_32BITS
@@ -46,8 +47,17 @@
 	    else       return x/(-fn);
 	}
 	if (rint(fn)!=fn) return (fn-fn)/(fn-fn);
+#if (INT_MAX < 65000)
+	if ( fn > (double) INT_MAX) return scalbn(x, INT_MAX);
+#else
 	if ( fn > 65000.0) return scalbn(x, 65000);
-	if (-fn > 65000.0) return scalbn(x,-65000);
+#endif
+
+#if (INT_MIN > -65000)
+        if (fn < (double) INT_MIN) return scalbn(x,INT_MIN);
+#else
+	if (fn < -65000.0) return scalbn(x,-65000);
+#endif
 	return scalbn(x,(int)fn);
 #endif
 }
diff -Naur newlib-1.20.0.orig/newlib/Makefile.am newlib-1.20.0/newlib/Makefile.am
--- newlib-1.20.0.orig/newlib/Makefile.am	2011-05-19 08:04:59.000000000 +0200
+++ newlib-1.20.0/newlib/Makefile.am	2011-12-20 18:04:03.932129293 +0100
@@ -81,7 +81,7 @@
 	libc.a
 endif
 
-noinst_DATA = stmp-targ-include
+BUILT_SOURCES = stmp-targ-include
 
 toollib_DATA = $(CRT0) $(CRT1)
 
@@ -279,10 +279,6 @@
 	     $(INSTALL_DATA) $$i $(DESTDIR)$(tooldir)/include/machine/`basename $$i`; \
 	    else true; fi ; \
 	  done; \
-	  $(mkinstalldirs) $(DESTDIR)$(tooldir)/include/rpc; \
-	  for i in $(srcdir)/libc/include/rpc/*.h; do \
-	   $(INSTALL_DATA) $$i $(DESTDIR)$(tooldir)/include/rpc/`basename $$i`; \
-	  done; \
 	  $(mkinstalldirs) $(DESTDIR)$(tooldir)/include/sys; \
 	  for i in $(srcdir)/libc/include/sys/*.h; do \
 	   $(INSTALL_DATA) $$i $(DESTDIR)$(tooldir)/include/sys/`basename $$i`; \
@@ -330,11 +326,6 @@
 	     $(INSTALL_DATA) $$i $(DESTDIR)$(tooldir)/include/machine/`basename $$i`; \
 	    else true; fi ; \
 	  done ; \
-	  for i in $(NO_INCLUDE_LIST); do \
-	    if [ -f $(DESTDIR)$(tooldir)/include/$$i ]; then \
-		rm $(DESTDIR)$(tooldir)/include/$$i; \
-	    else true; fi ; \
-	  done ; \
 	else true; fi
 
 # Force makedoc to be built before building info files.
